// JavaScript Document

// Function to reveal info about chosen fruits and chosen vitamins
function hideList() {
    var divCollection = document.getElementsByTagName("div");
    for (var i = 0; i < divCollection.length; i++) {
        if (divCollection[i].getAttribute("class") == "hideShow") {
            findMeText = divCollection[i].style.visibility = "hidden";
        }
    }
}

function loadVitamins(inp) {

    // iterates through all div's with class "hideShow" and hides them
    hideList();
    // Sets vitamins as active menuitem
    document.getElementById('bt_vitamins').style.backgroundPosition = "bottom";
    // Unhides the specific div which was passed to the funcion as a string parameter
    document.getElementById(inp).style.visibility = "visible";
    // Shows the vitmin panel
    show("chosenVitamin");

}
function loadFruits(inp) {

    // iterates through all div's with class "hideShow" and hides them
    hideList();
    // Sets vitamins as active menuitem
    document.getElementById('bt_fruits').style.backgroundPosition = "bottom";
    // Unhides the specific div which was passed to the funcion as a string parameter
    document.getElementById(inp).style.visibility = "visible";
    // Shows the vitmin panel
    show2("chosenFruit");

}
// function hides all content with class "hid"
function hideAll() {
   
    var divCollection = document.getElementsByTagName("div");
    for (var i = 0; i < divCollection.length; i++) {
        if (divCollection[i].getAttribute("class") == "hid") {
            findMeText = divCollection[i].style.display = "none";
        }
    }
}


// function shows content depending on the string parameter passed to it - in this case it is the vitamins
function show(inp) {
	//checkkey();
	checkCookie();
    if (inp != 'chosenVitamin') {
        hideList();
    }
    // variable for loop
    var x;
    // Array of button names
    var buttons = ["bt_fruits", "bt_vitamins", "bt_smoothies"];
    // Hides all content on page
    hideAll();
    // Iterates thru all buttons and se their sate to "not pushed"
    for (x in buttons) {
        document.getElementById(buttons[x]).style.backgroundPosition = "top";
    }
	
	 // special case. Sets vitamins as active menuitem even though it was not pushed (because a vitamin was chosen)
    if (inp == 'chosenVitamin') {
        // Sets vitamins as active menuitem
        document.getElementById('bt_vitamins').style.backgroundPosition = "bottom";
    }
    // Unhides the choosen elements (passed as string parameter)
    document.getElementById(inp).style.display = "block";
    // Sets the pushed button to it's "pushed" - state (requires that the botton name is bt_DIV-NAME)
    document.getElementById('bt_' + inp).style.backgroundPosition = "bottom";
	
}
// function shows content depending on the string parameter passed to it - in this case it is the fruits and veggies
function show2(inp) {	
	
	if (inp != 'chosenFruit') {
        hideList();
    }
    // variable for loop
    var x;
    // Array of button names
    var buttons = ["bt_fruits", "bt_vitamins", "bt_smoothies"];
    // Hides all content on page
    hideAll();
    // Iterates thru all buttons and se their sate to "not pushed"
    for (x in buttons) {
        document.getElementById(buttons[x]).style.backgroundPosition = "top";
    }
	
		if (inp == 'chosenFruit') {
        // Sets vitamins as active menuitem
        document.getElementById('bt_fruits').style.backgroundPosition = "bottom";
    }
    // Unhides the choosen elements (passed as string parameter)
    document.getElementById(inp).style.display = "block";
    // Sets the pushed button to it's "pushed" - state (requires that the botton name is bt_DIV-NAME)
    document.getElementById('bt_' + inp).style.backgroundPosition = "bottom";
}
	
	
function debug (messages) {
		if (debugEnabled) {
			if (!debugE1){
				debugE1 = document.createElement('p') ;
				debugE1.innerHTML = 'DEBUG MESSAGES';
				document.getElementById('content').appendChild(debugE1);
				}
				if (console&& typeof console.log == 'function') {
					console/log(messages);
					}
					debugE1.appendChild(document.createElement('br'));
					debugE1.appendChild(document.createTextNode(
					newData() .toTimeString() .split(' ') [0]+" "+ messages));
			}
		
		}


function smoothieRefresh() {

	document.getElementById("smoothies").innerHTML="<iframe id='smframe' src='http://fmc.kicks-ass.net/vitamin/smoothies.php' height='480px ' frameborder='0'> </iframe>";
	
}

window.menu.hideSoftkeys();

 
// Changes the orientation to portrait
function changeToPortrait(){
    if (window.widget.isrotationsupported) {
        window.widget.setDisplayPortrait();
    } else {
        alert("Display rotating is not supported.");
    }
}

//Instruktions overlay

function showOverlayBox() {
	//if box is not set to open then don't do anything
	if( isOpen == false ) return;
	// set the properties of the overlay box, the left and top positions
	$('.overlayBox').css({
		display:'block',
		left:( $(window).width('360px') - $('.overlayBox').width('300px') )/2,
		top:( $(window).height() - $('.overlayBox').height() )/2 -20,
		position:'absolute'
	});
	// set the window background for the overlay. i.e the body becomes darker
	$('.bgCover').css({
		display:'block',
		width: $(window).width('360px'),
		height:$(window).height('640px'),
	});
}
function doOverlayOpen() {
	//set status to open
	isOpen = true;
	showOverlayBox();
	$('.bgCover').css({opacity:0}).animate( {opacity:0.5, backgroundColor:'#000'} );
	// dont follow the link : so return false.
	return false;
}
function doOverlayClose() {
	//set status to closed
	isOpen = false;
	$('.overlayBox').css( 'display', 'none' );
	// now animate the background to fade out to opacity 0
	// and then hide it after the animation is complete.
	$('.bgCover').animate( {opacity:0}, null, null, function() { $(this).hide(); } );
}